Bug 472402 - gnome-open exits too early
gnome-open exits too early
Status: CLOSED DUPLICATE of bug 571932
Product: Fedora
Classification: Fedora
Component: libgnome (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 12:24 EST by Ville Skyttä
Modified: 2011-06-10 05:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 05:30:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2008-11-20 12:24:41 EST
With libgnome-2.22.0-3.fc9.x86_64, I think gnome-open exits too early which may (and does, see bug 435107) cause problems when it is being used to open temporary files.  For example:

    echo foo > /tmp/test.txt ; gnome-open /tmp/test.txt ; rm /tmp/test.txt

This opens an empty /tmp/test.txt file in an editor for me.  I would have expected /tmp/test.txt containing "foo" to be opened.  Shouldn't gnome-open wait a bit for the target executable to launch before exiting?  Or at least have a flag to do that, or even have a flag to stick around until the launched executable exits (or maybe do something like execve() with this flag)?
Comment 1 Bug Zapper 2009-06-09 23:19:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jerry James 2009-06-22 18:49:42 EDT
I'm the new XEmacs package maintainer.  This is still a problem for our users.  Do you have any suggestions on how we might handle the situation?  If gnome-open isn't the right tool for the job, then we need to figure out how to make xdg-open invoke the correct tool.
Comment 3 Fredrik Jansson 2009-06-25 09:59:41 EDT
This problem also appears when viewing email attachments from alpine, using gnome.
The viewer program starts, but does not find the file to display, apparently since it already has been removed.

Alpine uses mailcap to determine how to open different attachments. My /etc/mailcap specifies xdg-open for almost all types. xdg-open is a shell script, that calls gnome-open under gnome.
I have Fedora 10 and libgnome-2.24.1-9.fc10.i386.
Comment 4 Bug Zapper 2009-11-16 04:37:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 07:41:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jerry James 2010-11-10 22:57:33 EST
The situation is still the same on Fedora 14.
Comment 7 Tomáš Bžatek 2011-06-10 05:30:07 EDT
gnome-open is dead for some time, please use gvfs-open or xdg-open.

*** This bug has been marked as a duplicate of bug 571932 ***

Note You need to log in before you can comment on or make changes to this bug.